from setuptools import setup
from os import path

current_path = path.abspath(path.dirname(__file__))
with open(path.join(current_path, 'README.rst'), encoding='utf-8') as file:
      long_description = file.read()


setup(name='existpy',
      version='0.0.1',
      description='CLI tool for checking if a given project name exists in `pipy`.',
      long_description=long_description,
      url='https://github.com/existpy',
      author='Monika Ilieva',
      author_email='hidden@hidden.com',
      license='MIT License',
      keywords='existpy package pypi python',
      packages=['existpy'],
      package_data={},
      py_modules=['existpy'],
      install_requires = ['docopt','bs4','requests'],
      entry_points = {
        'console_scripts': [
          'existpy=existpy.cli:main'
        ],
      },
      classifiers=[
        'Environment :: Console',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
      ],
      zip_safe=True)